Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_setDownloadableFlgToTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_setDownloadableFlgToTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_setDownloadableFlgToTest.php	(revision 22796)
@@ -32,21 +32,17 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_setDownloadableFlgToTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_setDownloadableFlgToTest extends SC_Helper_Purchase_TestBase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     // parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     // parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSetDownloadableFlgTo_販売価格が0円の場合_フラグがONになる()
-  {
+  public function testSetDownloadableFlgTo_販売価格が0円の場合_フラグがONになる() {
     $input = array(
       '1001' => array('price' => 0)
@@ -60,6 +56,5 @@
   }
 
-  public function testSetDownloadableFlgTo_ダウンロード期限内かつ入金日ありの場合_フラグがONになる()
-  {
+  public function testSetDownloadableFlgTo_ダウンロード期限内かつ入金日ありの場合_フラグがONになる() {
     $input = array(
       '1001' => array('price' => 1000, 'effective' => '1', 'payment_date' => '2012-12-12')
@@ -73,6 +68,5 @@
   }
 
-  public function testSetDownloadableFlgTo_ダウンロード期限内かつ入金日なしの場合_フラグがOFFになる()
-  {
+  public function testSetDownloadableFlgTo_ダウンロード期限内かつ入金日なしの場合_フラグがOFFになる() {
     $input = array(
       '1001' => array('price' => 1000, 'effective' => '1', 'payment_date' => null)
@@ -86,6 +80,5 @@
   }
 
-  public function testSetDownloadableFlgTo_ダウンロード期限外かつ入金日ありの場合_フラグがOFFになる()
-  {
+  public function testSetDownloadableFlgTo_ダウンロード期限外かつ入金日ありの場合_フラグがOFFになる() {
     $input = array(
       '1001' => array('price' => 1000, 'effective' => '0', 'payment_date' => '2012-12-12')
@@ -99,6 +92,5 @@
   }
 
-  public function testSetDownloadableFlgTo_ダウンロード期限外かつ入金日なしの場合_フラグがOFFになる()
-  {
+  public function testSetDownloadableFlgTo_ダウンロード期限外かつ入金日なしの場合_フラグがOFFになる() {
     $input = array(
       '1001' => array('price' => 1000, 'effective' => '0', 'payment_date' => null)
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderCompleteTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderCompleteTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderCompleteTest.php	(revision 22796)
@@ -33,10 +33,8 @@
  */
 
-class SC_Helper_Purchase_registerOrderCompleteTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_registerOrderCompleteTest extends SC_Helper_Purchase_TestBase {
   private $helper;
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrderTemp();
@@ -44,12 +42,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testRegisterOrderComplete_不要な変数が含まれている場合_登録前に除外される()
-  {
+  public function testRegisterOrderComplete_不要な変数が含まれている場合_登録前に除外される() {
     // 引数の準備
     $orderParams = array(
@@ -98,6 +94,5 @@
   }
 
-  public function testRegisterOrderComplete_ステータスの指定がない場合_新規受付扱いとなる()
-  {
+  public function testRegisterOrderComplete_ステータスの指定がない場合_新規受付扱いとなる() {
     // 引数の準備
     $orderParams = array(
@@ -129,9 +124,7 @@
 }
 
-class SC_Helper_Purchase_registerOrderCompleteMock extends SC_Helper_Purchase
-{
+class SC_Helper_Purchase_registerOrderCompleteMock extends SC_Helper_Purchase {
 
-  function registerOrder($order_id, $params)
-  {
+  function registerOrder($order_id, $params) {
     $_SESSION['testResult']['registerOrder'] = array(
       'order_id' => $order_id,
@@ -141,6 +134,5 @@
   }
 
-  function registerOrderDetail($order_id, $params)
-  {
+  function registerOrderDetail($order_id, $params) {
     $_SESSION['testResult']['registerOrderDetail'] = array(
       'order_id' => $order_id,
@@ -149,14 +141,11 @@
   }
 
-  function setUniqId()
-  {}
+  function setUniqId() {}
 }
 
-class SC_CartSession_registerOrderCompleteMock extends SC_CartSession
-{
+class SC_CartSession_registerOrderCompleteMock extends SC_CartSession {
 
   // カートの内容を取得
-  function getCartList($cartKey)
-  {
+  function getCartList($cartKey) {
     return array(
       array(
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_sfUpdateOrderStatusTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_sfUpdateOrderStatusTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_sfUpdateOrderStatusTest.php	(revision 22796)
@@ -32,11 +32,9 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_sfUpdateOrderStatusTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_sfUpdateOrderStatusTest extends SC_Helper_Purchase_TestBase {
 
   private $helper;
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrder();
@@ -45,6 +43,5 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
@@ -52,6 +49,5 @@
   /////////////////////////////////////////
   // オプションの引数：対応状況、使用ポイント、加算ポイント
-  public function testSfUpdateOrderStatus_オプションの引数が未指定の場合_DBの値が引き継がれる()
-  {
+  public function testSfUpdateOrderStatus_オプションの引数が未指定の場合_DBの値が引き継がれる() {
     $order_id = '1001';
     $old_update_date = $this->objQuery->get('update_date', 'dtb_order', 'order_id = ?', array($order_id));
@@ -85,6 +81,5 @@
   // TODO 定数を変更できないためテスト不可
   /**
-  public function testSfUpdateOrderStatus_ポイント使用しない設定の場合_ポイントに関する処理が行われない()
-  {
+  public function testSfUpdateOrderStatus_ポイント使用しない設定の場合_ポイントに関する処理が行われない() {
 
 
@@ -93,6 +88,5 @@
   */
 
-  public function testSfUpdateOrderStatus_対応状況が発送済みに変更された場合_発送日が更新される()
-  {
+  public function testSfUpdateOrderStatus_対応状況が発送済みに変更された場合_発送日が更新される() {
     $order_id = '1001';
     $old_dates = $this->objQuery->select(
@@ -130,6 +124,5 @@
   }
 
-  public function testSfUpdateOrderStatus_対応状況が入金済みに変更された場合_入金日が更新される()
-  {
+  public function testSfUpdateOrderStatus_対応状況が入金済みに変更された場合_入金日が更新される() {
     $order_id = '1002';
     $old_dates = $this->objQuery->select(
@@ -162,6 +155,5 @@
   }
 
-  public function testSfUpdateOrderStatus_変更前の対応状況が利用対象の場合_変更前の使用ポイントを戻す()
-  {
+  public function testSfUpdateOrderStatus_変更前の対応状況が利用対象の場合_変更前の使用ポイントを戻す() {
     $order_id = '1002';
     $old_dates = $this->objQuery->select(
@@ -191,6 +183,5 @@
   }
 
-  public function testSfUpdateOrderStatus_変更後の対応状況が利用対象の場合_変更後の使用ポイントを引く()
-  {
+  public function testSfUpdateOrderStatus_変更後の対応状況が利用対象の場合_変更後の使用ポイントを引く() {
     $order_id = '1001';
     $old_dates = $this->objQuery->select(
@@ -219,6 +210,5 @@
   }
 
-  public function testSfUpdateOrderStatus_変更前の対応状況が加算対象の場合_変更前の加算ポイントを戻す()
-  {
+  public function testSfUpdateOrderStatus_変更前の対応状況が加算対象の場合_変更前の加算ポイントを戻す() {
     $order_id = '1002';
     $old_dates = $this->objQuery->select(
@@ -248,6 +238,5 @@
   }
 
-  public function testSfUpdateOrderStatus_変更後の対応状況が加算対象の場合_変更後の加算ポイントを足す()
-  {
+  public function testSfUpdateOrderStatus_変更後の対応状況が加算対象の場合_変更後の加算ポイントを足す() {
     $order_id = '1001';
     $old_dates = $this->objQuery->select(
@@ -276,6 +265,5 @@
   }
 
-  public function testSfUpdateOrderStatus_加算ポイントがプラスの場合_会員テーブルが更新される()
-  {
+  public function testSfUpdateOrderStatus_加算ポイントがプラスの場合_会員テーブルが更新される() {
     $order_id = '1001';
     $old_dates = $this->objQuery->select(
@@ -306,6 +294,5 @@
   }
 
-  public function testSfUpdateOrderStatus_加算ポイントが負でポイントが足りている場合_会員テーブルが更新される()
-  {
+  public function testSfUpdateOrderStatus_加算ポイントが負でポイントが足りている場合_会員テーブルが更新される() {
     $order_id = '1001';
     $old_dates = $this->objQuery->select(
@@ -338,6 +325,5 @@
   // TODO ロールバックされる場合はexitするためテスト不可.
   /**
-  public function testSfUpdateOrderStatus_加算ポイントが負でポイントが足りていない場合_会員テーブルがロールバックされエラーとなる()
-  {
+  public function testSfUpdateOrderStatus_加算ポイントが負でポイントが足りていない場合_会員テーブルがロールバックされエラーとなる() {
   }
   */
@@ -345,6 +331,5 @@
   //////////////////////////////////////////
 
-  function assertUpdate($new_dates, $old_dates, $key, $message, $is_update = true)
-  {
+  function assertUpdate($new_dates, $old_dates, $key, $message, $is_update = true) {
     $new_date = $new_dates[0][$key];
     $old_date = $old_dates[0][$key];
@@ -360,12 +345,10 @@
 }
 
-class SC_Helper_Purchase_sfUpdateOrderStatusMock extends SC_Helper_Purchase
-{
+class SC_Helper_Purchase_sfUpdateOrderStatusMock extends SC_Helper_Purchase {
 
   var $usePoint;
   var $addPoint;
 
-  function isUsePoint($status)
-  {
+  function isUsePoint($status) {
     if (is_null($this->usePoint)) {
       return parent::isUsePoint($status);
@@ -374,6 +357,5 @@
   }
 
-  function isAddPoint($status)
-  {
+  function isAddPoint($status) {
     if (is_null($this->addPoint)) {
       return parent::isAddPoint($status);
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getOrderTest.php	(revision 22796)
@@ -32,22 +32,18 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_getOrderTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_getOrderTest extends SC_Helper_Purchase_TestBase {
 
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrder();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testGetOrder_存在しない受注IDを指定した場合_結果が空になる()
-  {
+  public function testGetOrder_存在しない受注IDを指定した場合_結果が空になる() {
     $order_id = '9999';
 
@@ -58,6 +54,5 @@
   }
 
-  public function testGetOrder_存在しない顧客IDを指定した場合_結果が空になる()
-  {
+  public function testGetOrder_存在しない顧客IDを指定した場合_結果が空になる() {
     $order_id = '1002';
     $customer_id = '9999';
@@ -69,6 +64,5 @@
   }
 
-  public function testGetOrder_顧客IDを指定しなかった場合_受注IDに対応する結果が取得できる()
-  {
+  public function testGetOrder_顧客IDを指定しなかった場合_受注IDに対応する結果が取得できる() {
     $order_id = '1002';
 
@@ -84,6 +78,5 @@
   }
 
-  public function testGetOrder_存在する顧客IDを指定した場合_対応する結果が取得できる()
-  {
+  public function testGetOrder_存在する顧客IDを指定した場合_対応する結果が取得できる() {
     $order_id = '1002';
     $customer_id = '1002';
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerShipmentItemTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerShipmentItemTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerShipmentItemTest.php	(revision 22796)
@@ -32,21 +32,17 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_registerShipmentItemTest extends SC_Helper_Purchase_TestBase
-{
-
-  protected function setUp()
-  {
+class SC_Helper_Purchase_registerShipmentItemTest extends SC_Helper_Purchase_TestBase {
+
+  protected function setUp() {
     parent::setUp();
     $this->setUpShipmentItem();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testRegisterShipmentItem_製品クラスIDが入っていない場合_登録を行わない()
-  {
+  public function testRegisterShipmentItem_製品クラスIDが入っていない場合_登録を行わない() {
     // 引数の設定
     $order_id = '1';
@@ -79,6 +75,5 @@
   }
 
-  public function testRegisterShipmentItem_製品名等が指定されている場合_指定された値で登録を行う()
-  {
+  public function testRegisterShipmentItem_製品名等が指定されている場合_指定された値で登録を行う() {
     // 引数の設定
     $order_id = '1';
@@ -120,6 +115,5 @@
   }
 
-  public function testRegisterShipmentItem_製品名等が指定されていない場合_DBからマスタ情報を取得して登録を行う()
-  {
+  public function testRegisterShipmentItem_製品名等が指定されていない場合_DBからマスタ情報を取得して登録を行う() {
     // 引数の設定
     $order_id = '1';
@@ -164,6 +158,5 @@
   }
 
-  public function testRegisterShipmentItem_DBに存在しないカラムを指定した場合_エラーなく登録できる()
-  {
+  public function testRegisterShipmentItem_DBに存在しないカラムを指定した場合_エラーなく登録できる() {
     // 引数の設定
     $order_id = '1';
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getPaymentsByPriceTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getPaymentsByPriceTest.php	(revision 22796)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getPaymentsByPriceTest.php	(revision 22796)
@@ -0,0 +1,116 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * SC_Helper_Purchase::getPaymentsByPrice()のテストクラス.
+ *
+ *
+ * @author Hiroko Tamagawa
+ * @version $Id$
+ */
+class SC_Helper_Purchase_getPaymentsByPriceTest extends SC_Helper_Purchase_TestBase {
+
+
+  protected function setUp() {
+    parent::setUp();
+    $this->setUpPayment();
+    $this->setUpPaymentOptions();
+  }
+
+  protected function tearDown() {
+    parent::tearDown();
+  }
+
+  /////////////////////////////////////////
+  public function testGetPaymentsByPrice_購入金額がすべての上限を上回る場合_上限の設定がないものだけ取得できる() {
+    $deliv_id = '1003';
+    $total = 21001;
+    $helper = new SC_Helper_Purchase();
+
+    $this->expected['count'] = 2;
+    $this->expected['first'] = array(
+      'payment_id' => '3002',
+      'payment_method' => '支払方法3002',
+      'rule_max' => null,
+      'upper_rule' => null,
+      'note' => null,
+      'payment_image' => null,
+      'charge' => null
+    );
+    $this->expected['second_id'] = '3003';
+
+    $result = $helper->getPaymentsByPrice($total, $deliv_id);
+    $this->actual['count'] = count($result);
+    $this->actual['first'] = $result[0];
+    $this->actual['second_id'] = $result[1]['payment_id'];
+
+    $this->verify();
+  }
+
+  public function testGetPaymentsByPrice_購入金額が一部の上限を上回る場合_上限に引っかからないものだけ取得できる() {
+    $deliv_id = '1003';
+    $total = 20500;
+    $helper = new SC_Helper_Purchase();
+
+    $this->expected = array('3002', '3003', '3005');
+
+    $result = $helper->getPaymentsByPrice($total, $deliv_id);
+    $this->actual = Test_Utils::mapCols($result, 'payment_id');
+
+    $this->verify();
+  }
+
+  public function testGetPaymentsByPrice_購入金額が一部の下限を下回る場合_下限に引っかからないものだけ取得できる() {
+    $deliv_id = '1003';
+    $total = 11000;
+    $helper = new SC_Helper_Purchase();
+
+    $this->expected = array('3002', '3003', '3004');
+
+    $result = $helper->getPaymentsByPrice($total, $deliv_id);
+    $this->actual = Test_Utils::mapCols($result, 'payment_id');
+
+    $this->verify();
+  }
+
+  public function testGetPaymentsByPrice_購入金額がすべての下限を下回る場合_下限の設定がないものだけ取得できる() {
+    $deliv_id = '1003';
+    $total = 9999;
+    $helper = new SC_Helper_Purchase();
+
+    $this->expected = array('3002', '3004');
+
+    $result = $helper->getPaymentsByPrice($total, $deliv_id);
+    $this->actual = Test_Utils::mapCols($result, 'payment_id');
+
+    $this->verify();
+  }
+
+
+  //////////////////////////////////////////
+
+}
+
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_unsetAllShippingTempTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_unsetAllShippingTempTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_unsetAllShippingTempTest.php	(revision 22796)
@@ -32,9 +32,7 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_unsetAllShippingTempTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_unsetAllShippingTempTest extends SC_Helper_Purchase_TestBase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
 
@@ -44,12 +42,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testUnsetAllShippingTemp_複数配送も破棄するフラグがOFFの場合_情報の一部が破棄される()
-  {
+  public function testUnsetAllShippingTemp_複数配送も破棄するフラグがOFFの場合_情報の一部が破棄される() {
     SC_Helper_Purchase::unsetAllShippingTemp();
 
@@ -61,6 +57,5 @@
   }
 
-  public function testUnsetAllShippingTemp_複数配送も破棄するフラグがONの場合_全ての情報が破棄される()
-  {
+  public function testUnsetAllShippingTemp_複数配送も破棄するフラグがONの場合_全ての情報が破棄される() {
     SC_Helper_Purchase::unsetAllShippingTemp(TRUE);
 
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_saveOrderTempTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_saveOrderTempTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_saveOrderTempTest.php	(revision 22796)
@@ -32,10 +32,8 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_saveOrderTempTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_saveOrderTempTest extends SC_Helper_Purchase_TestBase {
   private $helper;
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrderTemp();
@@ -43,12 +41,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSaveOrderTemp_受注一時情報IDが空の場合_何もしない()
-  {
+  public function testSaveOrderTemp_受注一時情報IDが空の場合_何もしない(){
     $this->helper->saveOrderTemp(null,
       array(
@@ -65,6 +61,5 @@
   }
 
-  public function testSaveOrderTemp_既存の情報がない場合_情報が新規登録される()
-  {
+  public function testSaveOrderTemp_既存の情報がない場合_情報が新規登録される(){
     $this->helper->saveOrderTemp('1003',
       array(
@@ -91,6 +86,5 @@
   }
 
-  public function testSaveOrderTemp_既存の情報がある場合_情報が更新される()
-  {
+  public function testSaveOrderTemp_既存の情報がある場合_情報が更新される(){
     $this->helper->saveOrderTemp('1002',
       array(
@@ -117,6 +111,5 @@
   }
 
-  public function testSaveOrderTemp_注文者情報がある場合_情報がコピーされる()
-  {
+  public function testSaveOrderTemp_注文者情報がある場合_情報がコピーされる(){
     $this->helper->saveOrderTemp('1003',
       array(
@@ -142,8 +135,6 @@
 }
 
-class SC_Helper_Purchase_saveOrderTempMock extends SC_Helper_Purchase
-{
-  function copyFromCustomer($sqlval, $objCustomer)
-  {
+class SC_Helper_Purchase_saveOrderTempMock extends SC_Helper_Purchase {
+  function copyFromCustomer($sqlval, $objCustomer) {
     echo('COPY_FROM_CUSTOMER');
   }
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerOrderTest.php	(revision 22796)
@@ -32,11 +32,9 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_registerOrderTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_registerOrderTest extends SC_Helper_Purchase_TestBase {
 
   private $helper;
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpOrder();
@@ -44,12 +42,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testRegisterOrder_既に受注IDが存在する場合_情報が更新される()
-  {
+  public function testRegisterOrder_既に受注IDが存在する場合_情報が更新される() {
     $order_id = '1001';
     $arrParams = array(
@@ -93,6 +89,5 @@
   }
 
-  public function testRegisterOrder_存在しない受注IDを指定した場合_新規に登録される()
-  {
+  public function testRegisterOrder_存在しない受注IDを指定した場合_新規に登録される() {
     $order_id = '1003';
     $arrParams = array(
@@ -137,6 +132,5 @@
   }
 
-  public function testRegisterOrder_受注IDが未指定の場合_新たにIDが発行される()
-  {
+  public function testRegisterOrder_受注IDが未指定の場合_新たにIDが発行される() {
     $order_id = '';
     $arrParams = array( // 顧客IDも未指定
@@ -188,8 +182,6 @@
 }
 
-class SC_Helper_Purchase_registerOrderMock extends SC_Helper_Purchase
-{
-  function sfUpdateOrderStatus($order_id, $status, $add_point, $use_point, $values)
-  {
+class SC_Helper_Purchase_registerOrderMock extends SC_Helper_Purchase {
+  function sfUpdateOrderStatus($order_id, $status, $add_point, $use_point, $values) {
     $_SESSION['testResult']['sfUpdateOrderStatus'] = array(
       'order_id' => $order_id,
@@ -200,6 +192,5 @@
   }
 
-  function sfUpdateOrderNameCol($order_id)
-  {
+  function sfUpdateOrderNameCol($order_id) {
    $_SESSION['testResult']['sfUpdateOrderNameCol'] = $order_id;
   }
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getDelivTimeTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getDelivTimeTest.php	(revision 22796)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_getDelivTimeTest.php	(revision 22796)
@@ -0,0 +1,74 @@
+<?php
+
+$HOME = realpath(dirname(__FILE__)) . "/../../../..";
+require_once($HOME . "/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_TestBase.php");
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * SC_Helper_Purchase::getDelivTime()のテストクラス.
+ *
+ *
+ * @author Hiroko Tamagawa
+ * @version $Id$
+ */
+class SC_Helper_Purchase_getDelivTimeTest extends SC_Helper_Purchase_TestBase {
+
+
+  protected function setUp() {
+    parent::setUp();
+    $this->setUpDelivTime();
+  }
+
+  protected function tearDown() {
+    parent::tearDown();
+  }
+
+  /////////////////////////////////////////
+  public function testGetDelivTime_存在しない配送業者IDを指定した場合_結果が空になる() {
+    $deliv_id = '100'; // 存在しないID
+
+    $this->expected = array();
+    $helper = new SC_Helper_Purchase();
+    $this->actual = $helper->getDelivTime($deliv_id);
+
+    $this->verify('お届け時間');
+  }
+
+  public function testGetDelivTime_存在する配送業者IDを指定した場合_結果が正しい順序で取得できる() {
+    $deliv_id = '1001';
+  
+    $this->expected = array(
+      '1' => '午前',
+      '2' => '午後'
+    );
+
+    $helper = new SC_Helper_Purchase();
+    $this->actual = $helper->getDelivTime($deliv_id);
+    
+    $this->verify('お届け時間');
+  }
+
+  //////////////////////////////////////////
+
+}
+
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_saveShippingTempTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_saveShippingTempTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_saveShippingTempTest.php	(revision 22796)
@@ -32,20 +32,16 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_saveShippingTempTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_saveShippingTempTest extends SC_Helper_Purchase_TestBase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testSaveShippingTemp_元々存在しない配送先IDの場合_新規に配列が作られる()
-  {
+  public function testSaveShippingTemp_元々存在しない配送先IDの場合_新規に配列が作られる() {
     $this->setUpShipping($this->getMultipleShipping());
 
@@ -68,6 +64,5 @@
   }
 
-  public function testSaveShippingTemp_元々存在する配送先IDの場合_情報がマージされる()
-  {
+  public function testSaveShippingTemp_元々存在する配送先IDの場合_情報がマージされる() {
     $this->setUpShipping($this->getMultipleShipping());
 
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerShippingTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerShippingTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_registerShippingTest.php	(revision 22796)
@@ -32,21 +32,17 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_registerShippingTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_registerShippingTest extends SC_Helper_Purchase_TestBase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
     $this->setUpShippingOnDb();
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testRegisterShipping_元々存在しない受注IDの場合_新規にデータが作られる()
-  {
+  public function testRegisterShipping_元々存在しない受注IDの場合_新規にデータが作られる() {
     $order_id = '10';
     $arrParams = array(
@@ -85,6 +81,5 @@
   }
 
-  public function testRegisterShipping_元々存在する受注IDの場合_既存のデータが置き換えられる()
-  {
+  public function testRegisterShipping_元々存在する受注IDの場合_既存のデータが置き換えられる() {
     $order_id = '2';
     $arrParams = array(
@@ -123,6 +118,5 @@
   }
 
-  public function testRegisterShipping_配送日付が空の場合_エラーが起きず変換処理がスキップされる()
-  {
+  public function testRegisterShipping_配送日付が空の場合_エラーが起きず変換処理がスキップされる() {
     $order_id = '2';
     $arrParams = array(
@@ -161,6 +155,5 @@
   }
 
-  public function testRegisterShipping_非会員購入の場合_配送IDが設定される()
-  {
+  public function testRegisterShipping_非会員購入の場合_配送IDが設定される() {
     $order_id = '2';
     $arrParams = array(
Index: /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_unsetShippingTempTest.php
===================================================================
--- /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_unsetShippingTempTest.php	(revision 22567)
+++ /branches/version-2_12-dev/tests/class/helper/SC_Helper_Purchase/SC_Helper_Purchase_unsetShippingTempTest.php	(revision 22796)
@@ -32,9 +32,7 @@
  * @version $Id$
  */
-class SC_Helper_Purchase_unsetShippingTempTest extends SC_Helper_Purchase_TestBase
-{
+class SC_Helper_Purchase_unsetShippingTempTest extends SC_Helper_Purchase_TestBase {
 
-  protected function setUp()
-  {
+  protected function setUp() {
     parent::setUp();
 
@@ -44,12 +42,10 @@
   }
 
-  protected function tearDown()
-  {
+  protected function tearDown() {
     parent::tearDown();
   }
 
   /////////////////////////////////////////
-  public function testUnsetShippingTemp__配送情報がすべて破棄される()
-  {
+  public function testUnsetShippingTemp__配送情報がすべて破棄される() {
     SC_Helper_Purchase::unsetShippingTemp(TRUE);
 
